import { Component } from '@angular/core';
import { ViewEncapsulation } from '@angular/core';
import { Http } from '@angular/http';
import { Response } from '@angular/http';

declare var Stimulsoft: any;

@Component({
	selector: 'app-root',
	template: `<div>
					<h2>Stimulsoft Reports.JS - repo.mrt - Viewer</h2>
					<div id="viewerContent"></div>
				</div>`,
	encapsulation: ViewEncapsulation.None
})

export class AppComponent {
	options: any = new Stimulsoft.Viewer.StiViewerOptions();
	viewer: any = new Stimulsoft.Viewer.StiViewer(this.options, 'StiViewer', false);

	ngOnInit() {
		Stimulsoft.Base.Localization.StiLocalization.setLocalizationFile("localization/ro.xml", true);

		var report = new Stimulsoft.Report.StiReport();
		report.loadFile("reports/repo.mrt");

		this.viewer.report = report;
		this.viewer.renderHtml("viewerContent");
	}

	constructor(private http: Http) {

	}
}